# svn_diff_file_options_t Struct Reference

Options to control the behaviour of the file diff routines. More...

`#include <svn_diff.h>`

## Data Fields
svn_diff_file_ignore_space_t | ignore_space
| To what extent whitespace should be ignored when comparing lines.
svn_boolean_t | ignore_eol_style
| Whether to treat all end-of-line markers the same when comparing lines.
svn_boolean_t | show_c_function
| Whether the "@@" lines of the unified diff output should include a prefix of the nearest preceding line that starts with a character that might be the initial character of a C language identifier.

## Detailed Description

Options to control the behaviour of the file diff routines.

Since:
  New in 1.4.

Note:
  This structure may be extended in the future, so to preserve binary compatibility, users must not allocate structs of this type themselves.

See also:
  svn_diff_file_options_create().

Note:
  Although its name suggests otherwise, this structure is used to pass options to file as well as in-memory diff functions.

Definition at line 445 of file svn_diff.h.

## Field Documentation

svn_boolean_t svn_diff_file_options_t::ignore_eol_style

Whether to treat all end-of-line markers the same when comparing lines.

The default is `FALSE`.

Definition at line 452 of file svn_diff.h.

svn_diff_file_ignore_space_t svn_diff_file_options_t::ignore_space

To what extent whitespace should be ignored when comparing lines.

The default is `svn_diff_file_ignore_space_none`.

Definition at line 449 of file svn_diff.h.

svn_boolean_t svn_diff_file_options_t::show_c_function

Whether the "@@" lines of the unified diff output should include a prefix of the nearest preceding line that starts with a character that might be the initial character of a C language identifier.

The default is `FALSE`.

Definition at line 458 of file svn_diff.h.

The documentation for this struct was generated from the following file:

- svn_diff.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines